Sign up with Webauthn
POST /signup/webauthn
Initiate a Webauthn sign-up process by sending a challenge to the user’s device. The user must not have an existing account.
Request Body required
Section titled “Request Body required ”Email address and optional user options for WebAuthn registration
object
A valid email
Example
john.smith@nhost.ioobject
Example
[ "me", "user"]Example
userExample
John SmithA two or three characters locale
Example
enobject
Example
{ "firstName": "John", "lastName": "Smith"}Example
https://my-app.com/catch-redirectionResponses
Section titled “ Responses ”Challenge sent
object
object
A human-palatable name for the entity
A unique identifier for the Relying Party entity, which sets the RP ID
object
A human-palatable name for the entity
A human-palatable name for the user account, intended only for display
The user handle of the user account entity
Base64url-encoded binary data
The desired credential types and their respective cryptographic parameters
object
The valid credential types
The cryptographic algorithm identifier
A time, in milliseconds, that the caller is willing to wait for the call to complete
A list of PublicKeyCredentialDescriptor objects representing public key credentials that are not acceptable to the caller
object
The valid credential types
Base64url-encoded binary data
The authenticator transports that can be used
object
The authenticator attachment modality
Whether the authenticator must create a client-side-resident public key credential source
The resident key requirement
A requirement for user verification for the operation
Hints to help guide the user through the experience
The attestation conveyance preference
The preferred attestation statement formats
Additional parameters requesting additional processing by the client and authenticator
object
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
HTTP status error code
Example
400Human-friendly error message
Example
Invalid email formatError code identifying the specific application error